oyMonitorHooks_s Struct Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Data Fields
oyMonitorHooks_s Struct Reference
Backend Modules » Monitor Backend Modules

provide a set of hooks to enable support for a display system More...

`#include <oyranos_monitor_hooks.h>`

Collaboration diagram for oyMonitorHooks_s:

## Data Fields
int | type
char | nick [8]
int | version
const char * | help_system_specific
const char * | rank_map
oySetupMonitorProfile_f | setupProfile
oyUnsetMonitorProfile_f | unsetProfile
oyGetRectangleFromMonitor_f | getRectangle
oyGetMonitorProfile_f | getProfile
oyGetAllMonitorNames_f | getAllMonitorNames
oyGetMonitorInfo_f | getInfo

## Detailed Description

provide a set of hooks to enable support for a display system

The oyMonitorHooks_s is used by the oyranos_cmm_disp.c code in order to wire the hooks into the Oyranos device config scheme.

Version
  Oyranos Monitor: 0.9.6

Date
  2016/11/27

Since
  2016/11/27 (Oyranos Monitor: 0.9.6)

## Field Documentation

## ◆ getAllMonitorNames

oyGetAllMonitorNames_f oyMonitorHooks_s::getAllMonitorNames

detect all monitors to present as list to users

## ◆ getInfo

oyGetMonitorInfo_f oyMonitorHooks_s::getInfo

obtain info to compare the device with other devices.

## ◆ getProfile

oyGetMonitorProfile_f oyMonitorHooks_s::getProfile

obtain a ICC profile

## ◆ getRectangle

oyGetRectangleFromMonitor_f oyMonitorHooks_s::getRectangle

get the monitor display area

## ◆ help_system_specific

const char* oyMonitorHooks_s::help_system_specific

System specific description for developers. E.g. how monitor_name's are build etc.

## ◆ nick

char oyMonitorHooks_s::nick[8]

four byte nick name of module + terminating zero

## ◆ rank_map

const char* oyMonitorHooks_s::rank_map

optional JSON rank map

## ◆ setupProfile

oySetupMonitorProfile_f oyMonitorHooks_s::setupProfile

profile activation

## ◆ type

int oyMonitorHooks_s::type

set to 120 for ABI compatibility with the actual used header version

## ◆ unsetProfile

oyUnsetMonitorProfile_f oyMonitorHooks_s::unsetProfile

profile deactivation

## ◆ version

int oyMonitorHooks_s::version

set to module version; Major * 10000 + Minor * 100 + Micro